| Streamaxia Open SDK 3.2

Properties | List of all members
AXUtils Class Reference

`#import <AXUtils.h>`

Inheritance diagram for AXUtils:

## Instance Methods
Public methods
(NSInteger) | - bitrateForResolution:
(NSInteger) | - minBitrateForResolution:
(NSInteger) | - maxBitrateForResolution:
(NSInteger) | - clampBitrate:forResolution:
(AXVideoFrameSize) | - frameSizeForResolution:

## Class Methods
Lifecycle
(instancetype) | + utils

## Properties
AVAuthorizationStatus | microphoneStatus
AVAuthorizationStatus | cameraStatus
BOOL | hasAccessToMicrophone
BOOL | hasDeterminedAccessToMicrophone
BOOL | hasAccessToCamera
BOOL | hasDeterminedAccessToCamera
UIInterfaceOrientation | currentStatusBarOrientation
AVCaptureVideoOrientation | currentCaptureVideoOrientation
Properties
NSDictionary< NSNumber *, NSNumber * > * | optimalBitrates
NSDictionary< NSNumber *, NSNumber * > * | minBitrates
NSDictionary< NSNumber *, NSNumber * > * | maxBitrates
NSArray< NSNumber * > * | allResolutions
NSDictionary< NSNumber *, NSValue * > * | frameSizes

## Detailed Description

The utils class. Provides useful properties and methods to use along with the streaming SDK.

## Method Documentation

## ◆ bitrateForResolution:()

- (NSInteger) bitrateForResolution: |  | (AXVideoFrameResolution) | resolution |

Provides the optimal bit rate for the given resolution.

Parameters

  resolution | The resolution

Returns
  The optimal bit rate, in bps.

Provided by category AXUtils(Bitrate).

## ◆ clampBitrate:forResolution:()

- (NSInteger) clampBitrate: |  | (NSInteger) | bitrate
forResolution: |  | (AXVideoFrameResolution) | resolution

Clamps the given bit rate between the recommended minimum and maximum bit rate values, for the given resolution.

The input bit rate should be in bits per second (bps).

Parameters

  bitrate | The bit rate.
  resolution | The resolution

Returns
  The clamped bit rate, in bps.

Provided by category AXUtils(Bitrate).

## ◆ frameSizeForResolution:()

- (AXVideoFrameSize) frameSizeForResolution: |  | (AXVideoFrameResolution) | resolution |

Provides the frame size for the given video resolution.

Parameters

  resolution | The resolution.

Returns
  The frame size, in pixels.

Provided by category AXUtils(Resolution).

## ◆ maxBitrateForResolution:()

- (NSInteger) maxBitrateForResolution: |  | (AXVideoFrameResolution) | resolution |

Provides the maximum bit rate for the given resolution.

Parameters

  resolution | The resolution

Returns
  The maximum bit rate, in bps.

Provided by category AXUtils(Bitrate).

## ◆ minBitrateForResolution:()

- (NSInteger) minBitrateForResolution: |  | (AXVideoFrameResolution) | resolution |

Provides the minimum bit rate for the given resolution.

Parameters

  resolution | The resolution

Returns
  The minimum bit rate, in bps.

Provided by category AXUtils(Bitrate).

## ◆ utils()

+ (instancetype) utils |  |  |

Factory method for creating a utils object.

Returns
  The initialized object.

## Property Documentation

## ◆ allResolutions

- (NSArray<NSNumber *>*) allResolutions
| read nonatomic strong

The list of all the resolutions defined in the SDK, as wrapped values.

Provided by category AXUtils(Resolution).

## ◆ cameraStatus

- (AVAuthorizationStatus) cameraStatus
| read nonatomic assign

Returns the camera authorization status.

Provided by category AXUtils(CaptureDeviceAuthorization).

## ◆ frameSizes

- (NSDictionary<NSNumber *, NSValue *>*) frameSizes
| read nonatomic strong

The list of resolution and their corresponding frame sizes, as CGSize wrapped values.

Provided by category AXUtils(Resolution).

## ◆ hasAccessToCamera

- (BOOL) hasAccessToCamera
| read nonatomic assign

Returns YES if the camera was authorized.

Provided by category AXUtils(CaptureDeviceAuthorization).

## ◆ hasAccessToMicrophone

- (BOOL) hasAccessToMicrophone
| read nonatomic assign

Returns YES if the microphone was authorized.

Provided by category AXUtils(CaptureDeviceAuthorization).

## ◆ hasDeterminedAccessToCamera

- (BOOL) hasDeterminedAccessToCamera
| read nonatomic assign

Returns YES if the camera access has been determined.

Provided by category AXUtils(CaptureDeviceAuthorization).

## ◆ hasDeterminedAccessToMicrophone

- (BOOL) hasDeterminedAccessToMicrophone
| read nonatomic assign

Returns YES if the microphone access has been determined.

Provided by category AXUtils(CaptureDeviceAuthorization).

## ◆ maxBitrates

- (NSDictionary<NSNumber *, NSNumber *>*) maxBitrates
| read nonatomic strong

The list of maximum bit rates for each resolution.

Provided by category AXUtils(Bitrate).

## ◆ microphoneStatus

- (AVAuthorizationStatus) microphoneStatus
| read nonatomic assign

Returns the microphone authorization status.

Provided by category AXUtils(CaptureDeviceAuthorization).

## ◆ minBitrates

- (NSDictionary<NSNumber *, NSNumber *>*) minBitrates
| read nonatomic strong

The list of minimum bit rates for each resolution.

Provided by category AXUtils(Bitrate).

## ◆ optimalBitrates

- (NSDictionary<NSNumber *, NSNumber *>*) optimalBitrates
| read nonatomic strong

The list of optimal bit rates for each resolution.

Provided by category AXUtils(Bitrate).

The documentation for this class was generated from the following file:

- /Users/mac/Documents/StreamaxiaSDK/Streamaxia Open SDK/StreamaxiaSDK.framework/Headers/AXUtils.h